Certidões
Consultar certidão
Retorna o estado atual da emissão e, quando concluída, os dados estruturados ou o erro encontrado.
GET
/
certidoes
/
{certidaoId}
Consultar certidão
curl --request GET \
--url 'https://221b-api.sherlocker.com.br/api/v1/certidoes/{certidaoId}?token='import requests
url = "https://221b-api.sherlocker.com.br/api/v1/certidoes/{certidaoId}?token="
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://221b-api.sherlocker.com.br/api/v1/certidoes/{certidaoId}?token=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://221b-api.sherlocker.com.br/api/v1/certidoes/{certidaoId}?token=",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://221b-api.sherlocker.com.br/api/v1/certidoes/{certidaoId}?token="
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://221b-api.sherlocker.com.br/api/v1/certidoes/{certidaoId}?token=")
.asString();require 'uri'
require 'net/http'
url = URI("https://221b-api.sherlocker.com.br/api/v1/certidoes/{certidaoId}?token=")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"certidao_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tipo": "cnpj",
"status": "queued",
"stage": "waiting_worker",
"result": {
"nome_base": "<string>",
"nome_oficial": "<string>",
"divergente": true,
"fonte_nome": "tst_bndt",
"capturado_em": "2023-11-07T05:31:56Z",
"titular": {
"nome": "<string>"
},
"classificacao": "negativa"
},
"evidence": {
"status": "available",
"type": "official_certificate",
"mime_type": "application/pdf",
"pdf_url": "/api/v1/certidoes/0d7c8a8a-74e1-42f3-a74b-ecf60568ff51/pdf",
"sha256": "<string>"
},
"error": {
"code": "FONTE_INDISPONIVEL",
"category": "validation",
"message": "<string>",
"retryable": true,
"retry_after_seconds": 123
},
"links": {
"self": "<string>",
"pdf": "<string>"
},
"created_at": "2023-11-07T05:31:56Z",
"started_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z"
}Authorizations
Path Parameters
Response
Estado atual da emissão
Available options:
cnpj, cndt, nome Available options:
queued, processing, completed, failed Available options:
waiting_worker, accessing_source, completed, failed Dados estruturados da emissão. Os campos variam conforme o tipo da certidão.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I
Consultar certidão
curl --request GET \
--url 'https://221b-api.sherlocker.com.br/api/v1/certidoes/{certidaoId}?token='import requests
url = "https://221b-api.sherlocker.com.br/api/v1/certidoes/{certidaoId}?token="
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://221b-api.sherlocker.com.br/api/v1/certidoes/{certidaoId}?token=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://221b-api.sherlocker.com.br/api/v1/certidoes/{certidaoId}?token=",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://221b-api.sherlocker.com.br/api/v1/certidoes/{certidaoId}?token="
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://221b-api.sherlocker.com.br/api/v1/certidoes/{certidaoId}?token=")
.asString();require 'uri'
require 'net/http'
url = URI("https://221b-api.sherlocker.com.br/api/v1/certidoes/{certidaoId}?token=")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"certidao_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tipo": "cnpj",
"status": "queued",
"stage": "waiting_worker",
"result": {
"nome_base": "<string>",
"nome_oficial": "<string>",
"divergente": true,
"fonte_nome": "tst_bndt",
"capturado_em": "2023-11-07T05:31:56Z",
"titular": {
"nome": "<string>"
},
"classificacao": "negativa"
},
"evidence": {
"status": "available",
"type": "official_certificate",
"mime_type": "application/pdf",
"pdf_url": "/api/v1/certidoes/0d7c8a8a-74e1-42f3-a74b-ecf60568ff51/pdf",
"sha256": "<string>"
},
"error": {
"code": "FONTE_INDISPONIVEL",
"category": "validation",
"message": "<string>",
"retryable": true,
"retry_after_seconds": 123
},
"links": {
"self": "<string>",
"pdf": "<string>"
},
"created_at": "2023-11-07T05:31:56Z",
"started_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z"
}